## RygelDTCPCleartextRequest

RygelDTCPCleartextRequest

## Functions

RygelDTCPCleartextRequest * | rygel_dtcp_cleartext_request_new ()
gint64 | rygel_dtcp_cleartext_request_get_start_byte ()
gint64 | rygel_dtcp_cleartext_request_get_end_byte ()
gint64 | rygel_dtcp_cleartext_request_get_range_length ()
gint64 | rygel_dtcp_cleartext_request_get_total_size ()
gboolean | rygel_dtcp_cleartext_request_supported ()
gboolean | rygel_dtcp_cleartext_request_requested ()

## Properties

gint64 | end-byte | Read
gint64 | range-length | Read
gint64 | start-byte | Read
gint64 | total-size | Read

## Types and Values

#define | RYGEL_TYPE_DTCP_CLEARTEXT_REQUEST
#define | RYGEL_DTCP_CLEARTEXT_REQUEST_DTCP_RANGE_HEADER
struct | RygelDTCPCleartextRequest
struct | RygelDTCPCleartextRequestClass

## Object Hierarchy

        GObject
        ╰── RygelHTTPSeekRequest
            ╰── RygelDTCPCleartextRequest

## Description

## Functions

### rygel_dtcp_cleartext_request_new ()

    RygelDTCPCleartextRequest *
    rygel_dtcp_cleartext_request_new (SoupMessage *message,
                                      RygelHTTPGetHandler *handler,
                                      GError **error);

#### Parameters

message |  |
handler |  |
error | location to store the error occuring, or `NULL` to ignore. | [error-domains RygelHTTPSeekRequestError RygelHTTPRequestError]

### rygel_dtcp_cleartext_request_get_start_byte ()

    gint64
    rygel_dtcp_cleartext_request_get_start_byte
                                   (RygelDTCPCleartextRequest *self);

Get and return the current value of the "start-byte" property.

The start of the cleartext range in bytes

#### Parameters

self | the RygelDTCPCleartextRequest instance to query |

#### Returns

the value of the "start-byte" property

### rygel_dtcp_cleartext_request_get_end_byte ()

    gint64
    rygel_dtcp_cleartext_request_get_end_byte
                                   (RygelDTCPCleartextRequest *self);

Get and return the current value of the "end-byte" property.

The end of the cleartext range in bytes (inclusive). May be HTTPSeekRequest.UNSPECIFIED

#### Parameters

self | the RygelDTCPCleartextRequest instance to query |

#### Returns

the value of the "end-byte" property

### rygel_dtcp_cleartext_request_get_range_length ()

    gint64
    rygel_dtcp_cleartext_request_get_range_length
                                   (RygelDTCPCleartextRequest *self);

Get and return the current value of the "range-length" property.

The length of the cleartext range in bytes. May be HTTPSeekRequest.UNSPECIFIED

#### Parameters

self | the RygelDTCPCleartextRequest instance to query |

#### Returns

the value of the "range-length" property

### rygel_dtcp_cleartext_request_get_total_size ()

    gint64
    rygel_dtcp_cleartext_request_get_total_size
                                   (RygelDTCPCleartextRequest *self);

Get and return the current value of the "total-size" property.

The length of the cleartext resource in bytes. May be HTTPSeekRequest.UNSPECIFIED

#### Parameters

self | the RygelDTCPCleartextRequest instance to query |

#### Returns

the value of the "total-size" property

### rygel_dtcp_cleartext_request_supported ()

    gboolean
    rygel_dtcp_cleartext_request_supported
                                   (SoupMessage *message,
                                    RygelHTTPGetHandler *handler);

#### Parameters

message |  |
handler |  |

### rygel_dtcp_cleartext_request_requested ()

    gboolean
    rygel_dtcp_cleartext_request_requested
                                   (SoupMessage *message);

#### Parameters

message |  |

## Types and Values

### RYGEL_TYPE_DTCP_CLEARTEXT_REQUEST

    #define RYGEL_TYPE_DTCP_CLEARTEXT_REQUEST (rygel_dtcp_cleartext_request_get_type ())

The type for RygelDTCPCleartextRequest.

### RYGEL_DTCP_CLEARTEXT_REQUEST_DTCP_RANGE_HEADER

    #define RYGEL_DTCP_CLEARTEXT_REQUEST_DTCP_RANGE_HEADER "Range.dtcp.com"

### struct RygelDTCPCleartextRequest

    struct RygelDTCPCleartextRequest;

### struct RygelDTCPCleartextRequestClass

    struct RygelDTCPCleartextRequestClass {
    	RygelHTTPSeekRequestClass parent_class;
    };

The class structure for `RYGEL_TYPE_DTCP_CLEARTEXT_REQUEST`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“end-byte”` property

      “end-byte”                 gint64

The end of the cleartext range in bytes (inclusive). May be HTTPSeekRequest.UNSPECIFIED

Flags: Read

Default value: 0

### The `“range-length”` property

      “range-length”             gint64

The length of the cleartext range in bytes. May be HTTPSeekRequest.UNSPECIFIED

Flags: Read

Default value: 0

### The `“start-byte”` property

      “start-byte”               gint64

The start of the cleartext range in bytes

Flags: Read

Default value: 0

### The `“total-size”` property

      “total-size”               gint64

The length of the cleartext resource in bytes. May be HTTPSeekRequest.UNSPECIFIED

Flags: Read

Default value: 0